import React from 'react';
import { Grid, IconButton, Typography } from '@mui/material';
import { useNavigate } from 'react-router-dom';
import { objectWithoutPropertiesLoose as _objectWithoutPropertiesLoose } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import KeyboardBackspaceIcon from '@mui/icons-material/KeyboardBackspace';

var _excluded = ["title", "onClick", "backButtonText", "children"];
// отвечающая за основное действие страницы (добавить урок/видео...)
//если нужна кнопка назад - передать backButtonText

var UiPageHeader = function UiPageHeader(_ref) {
  var title = _ref.title,
      onClick = _ref.onClick,
      backButtonText = _ref.backButtonText,
      children = _ref.children,
      rest = _objectWithoutPropertiesLoose(_ref, _excluded);

  var navigate = useNavigate();

  var goBack = function goBack() {
    return navigate(-1);
  };

  return React.createElement(Grid, Object.assign({
    container: true
  }, rest), backButtonText && React.createElement(Grid, {
    container: true,
    item: true,
    alignItems: "center",
    marginBottom: "20px"
  }, React.createElement(IconButton, {
    edge: "start",
    onClick: goBack
  }, React.createElement(KeyboardBackspaceIcon, null)), React.createElement(Typography, {
    onClick: goBack,
    sx: {
      fontWeight: 500,
      fontSize: '16px',
      lineHeight: '24px'
    }
  }, backButtonText)), React.createElement(Grid, {
    item: true,
    container: true,
    justifyContent: "space-between",
    alignItems: "center"
  }, React.createElement(Grid, {
    item: true,
    onClick: onClick
  }, React.createElement(Typography, {
    sx: {
      fontWeight: 700,
      fontSize: '22px',
      lineHeight: '27px'
    }
  }, title)), React.createElement(Grid, {
    item: true
  }, children)));
};

export { UiPageHeader };
//# sourceMappingURL=PageHeader.esm.js.map
